### [English](#activereportsjs) | [日本語](#activereportsjs-jp) | [한국어](#activereportsjs-kr)

---

# ActiveReportsJS

[A Complete JavaScript Reporting Tool](https://developer.mescius.com/activereportsjs) for Enterprise Applications.

ActiveReportsJS is a powerful reporting tool for web applications that allows developers and report authors to easily design and display reports within their applications. With a wide range of features, such as [drill-down](https://developer.mescius.com/activereportsjs/demos/Reports/DrillDown2/purejs), [runtime data filtering](https://developer.mescius.com/activereportsjs/demos/Reports/RuntimeFilters/purejs), and [parameter-driven reports](https://developer.mescius.com/activereportsjs/demos/Reports/ParameterDriven/purejs), as well as compatibility with popular frameworks such as [Angular](https://developer.mescius.com/activereportsjs/angular-reporting-tool), [React](https://developer.mescius.com/activereportsjs/react-reporting-tool), and [Vue](https://developer.mescius.com/activereportsjs/vue-reporting-tool), ActiveReportsJS simplifies the process of creating and managing reports, enabling developers to enhance their applications' capabilities and deliver valuable insights to end-users.

<p align="center">
  <img src="https://cdn.mescius.io/umb/media/spml4vl4/npm-activereportsjs.png" width="300" alt="dashboard image" />
</p>

The ActiveReportsJS suite includes both a [Report Viewer](https://developer.mescius.com/activereportsjs/docs/GettingStarted/QuickStart) and [Report Designer](https://developer.mescius.com/activereportsjs/docs/GettingStarted/QuickStart-ARJS-Designer-Component) component. The Viewer allows end-users to view and interact with reports, while the Designer enables developers to design and customize reports, either within the same web application or by using the Standalone Report Designer.

## Installation

To install the latest release version:

`npm install @mescius/activereportsjs`

To install a specific version:

`npm install @mescius/activereportsjs@{VersionNumber}`

## Documentation

For more information on how to use ActiveReportsJS, online documentation can be found here:

-   [Documentation](https://developer.mescius.com/activereportsjs/docs/GettingStarted/Introduction)
-   [API Reference](https://developer.mescius.com/activereportsjs/api/modules/Core)

## Samples

To quickly jump in with ActiveReportsJS, check out our [Demo Gallery](https://developer.mescius.com/activereportsjs/demos/).

## Licensing

Read more about [ActiveReportsJS Licensing](https://developer.mescius.com/activereportsjs/pricing).

# ActiveReportsJS JP

[ActiveReportsJS](https://developer.mescius.jp/activereportsjs)は、モダンなWebアプリケーションに帳票出力機能を組み込めるJavaScriptコントロールです。帳票の外観デザインの設定からデータ接続、印刷、PDFやExcelへの出力まで、Web帳票開発に必要な機能が揃っています。

## サンプル

[ActiveReportsJSチュートリアルデモ](https://demo.mescius.jp/activereportsjs/demos/)では、ActiveReportsJSを使用したアプリケーションの作成方法や、各コントロールの基本機能、実用的なアプリケーションの例などを紹介しています。

また、[トライアル版](https://developer.mescius.jp/download#javascript)をダウンロードして、実際の機能や動作をご確認いただけます。

## インストール方法

```
npm install @mescius/activereportsjs
```

日本語版での動作保証は日本語版サイトで公開しているバージョンのみとなります。

## ドキュメント

製品の各種ドキュメントは、下記をご参照ください。

-   [製品ヘルプ](https://demo.mescius.jp/activereportsjs/docs/)
-   [チュートリアルデモ](https://demo.mescius.jp/activereportsjs/demos/)

## 製品情報

製品の詳細や価格、ライセンスについては、下記をご参照ください。<br>
https://developer.mescius.jp/activereportsjs

## サポート

ヘルプやデモに加え、ナレッジベースでは製品の技術情報を公開しております。また、サブスクリプションをご契約中のお客様は、E-mailによる技術サポートをご利用いただけます。

-   [サポート＆サービス](https://developer.mescius.jp/support)
-   [サブスクリプションサービス利用規約](https://docs.mescius.jp/license/activereports/activereports-js-subscriptionservice.pdf)

# ActiveReportsJS KR

기업용 애플리케이션을 위한 [완벽한 JavaScript 리포팅 툴](https://www.mescius.co.kr/activereportsjs).

ActiveReportsJS는 개발자와 보고서 작성자가 애플리케이션 내에서 보고서를 쉽게 디자인하고 표시할 수 있는 웹 애플리케이션용 강력한 리포팅 툴입니다. [드릴다운](https://demo.mescius.co.kr/activereportsjs/demos/Reports/DrillDown2/purejs), [런타임 데이터 필터링](https://demo.mescius.co.kr/activereportsjs/demos/Reports/RuntimeFilters/purejs), [매개변수 기반 보고서](https://demo.mescius.co.kr/activereportsjs/demos/Reports/ParameterDriven/purejs)와 같은 광범위한 기능과 Angular, React, Vue와 같은 인기 있는 프레임워크와의 호환성을 갖추고 있습니다. ActiveReportsJS는 보고서 작성 및 관리 프로세스를 간소화하여 개발자가 애플리케이션의 기능을 향상시키고 최종 사용자에게 가치있는 인사이트를 제공할 수 있도록 지원합니다.

<p align="center">
  <img src="https://cdn.mescius.io/umb/media/spml4vl4/npm-activereportsjs.png" width="300" alt="dashboard image" />
</p>

ActiveReportsJS 제품군에는 [보고서 뷰어](https://demo.mescius.co.kr/activereportsjs/docs/GettingStarted/QuickStart)와 [보고서 디자이너](https://demo.mescius.co.kr/activereportsjs/docs/GettingStarted/QuickStart-ARJS-Designer-Component) 구성 요소가 모두 포함되어 있습니다. 뷰어를 사용하면 최종 사용자가 보고서를 보고 상호 작용할 수 있고 디자이너를 사용하면 개발자가 동일한 웹 애플리케이션 내에서 또는 독립 실행형 리포트 디자이너를 사용하여 보고서를 디자인하고 사용자 지정할 수 있습니다.

## 설치

최신 릴리스 버전을 설치하려면:

`npm install @mescius/activereportsjs`

특정 버전을 설치하려면:

`npm install @mescius/activereportsjs@{VersionNumber}`

## 온라인 설명서

ActiveReportsJS 사용 방법에 대한 자세한 내용은 온라인 설명서를 여기에서 찾을 수 있습니다.

-   [도움말](https://demo.mescius.co.kr/activereportsjs/docs/GettingStarted/Introduction)
-   [API 참조](https://demo.mescius.co.kr/activereportsjs/api/modules/Core)

## 샘플

ActiveReportsJS를 빠르게 사용해 보려면 [데모 갤러리](https://demo.mescius.co.kr/activereportsjs/demos/)를 확인하세요.

또한 [체험판](https://www.mescius.co.kr/activereportsjs/download)을 다운로드하여 실제 기능과 동작을 확인하실 수 있습니다.

## 라이선싱

ActiveReportsJS 라이브러리를 상업용으로 애플리케이션 개발에 사용하고 배포하기 위해서는 **개발자 라이선스**와 **배포 라이선스**를 반드시 구매하셔야 합니다.

-   [라이선스 종류 및 가격 안내](https://www.mescius.co.kr/activereportsjs#price)
-   [배포 라이선스 등록 방법](https://dev.mescius.co.kr/bbs/board.php?bo_table=arjs_faq&wr_id=1)

## 기술지원

ActiveReportsJS를 사용하시다가 도움이 필요한 사항이 있으실 경우, 개발자 포럼을 통해 질문을 남겨주세요.
한국 지사의 전문 기술팀의 지원을 받아 보실 수 있습니다.

-   [개발자 포럼](https://dev.mescius.co.kr/)
